<?php

class exhibition
	{
		var $obj1;
		var $con;
		// constructor
		function __construct()
		{
			$this->obj1 = new dboperations();
			$this->con = $this->obj1-> dbconnect();
			
		}
		
		function getexhibition($exhibitionid='',$fields='*',$sql='')
		{
			if ($exhibitionid!='')
			{
				$sqltext = "Select $fields from mstexhibition where exhibitionid='".$exhibitionid."'";
			}
			else if($sql!='')
			{
				$sqltext = $sql;
			}
			else
			{
				$sqltext = "Select $fields from mstexhibition";
			}

			$prodapps = $this->obj1->select_query($sqltext);
			
			if ($prodapps)
			{
				$numrows = $this->obj1->numRows($prodapps);
			}
			if ($numrows ==1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}	
			}
			else if($numrows > 1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}
			}
			return $prodappstr;
		}
		
		
		function addexhibition($applicationdata)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnames =  "(";
				$fieldvalues = "(";
				foreach ($applicationdata as $k => $v) 
				{
					
					$fieldnames .=  ($fieldnames=="(")?"$k":",$k";
					$fieldvalues .= ($fieldvalues=="(")?"'$v'":",'$v'";
				}
				$sqltext = "insert into mstexhibition ".$fieldnames.") values ".$fieldvalues.")";
				//echo $sqltext;
				$applications = $this->obj1->insert_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
		function editexhibition($applicationdata,$wherecondition)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnamesvalues =  "set ";
				
				foreach ($applicationdata as $k => $v) 
				{
					$fieldnamesvalues .=  ($fieldnamesvalues =="set ")?"$k='$v'":",$k='$v'";
				}
				$sqltext = "update mstexhibition ".$fieldnamesvalues." where ".$wherecondition ;
				//echo $sqltext;
				$applications = $this->obj1->update_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
	}


class exhibitors
	{
		var $obj1;
		var $con;
		// constructor
		function __construct()
		{
			$this->obj1 = new dboperations();
			$this->con = $this->obj1-> dbconnect();
			
		}
		
		function getexhibitors($exhibitorpageid='',$fields='*',$sql='')
		{
			if ($promotionid!='')
			{
				$sqltext = "Select $fields from mstexhibitorpage where exhibitorpageid='".$exhibitorpageid."'";
			}
			else if($sql!='')
			{
				$sqltext = $sql;
			}
			else
			{
				$sqltext = "Select $fields from mstexhibitorpage";
			}
				
			$prodapps = $this->obj1->select_query($sqltext);
			
			if ($prodapps)
			{
				$numrows = $this->obj1->numRows($prodapps);
			}
			if ($numrows ==1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}	
			}
			else if($numrows > 1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}
			}
			return $prodappstr;
		}
		
		// example for adding product data		//            $data['productname'] = 'product1';
		//            $data['proudctdesc'] = "product desc";
		//            $data['productimagebig'] = '/images/product1.jpg';
		//            $data = $obj->addproduct($data);
		
		function addexhibitors($applicationdata)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnames =  "(";
				$fieldvalues = "(";
				foreach ($applicationdata as $k => $v) 
				{
					$fieldnames .=  ($fieldnames=="(")?"$k":",$k";
					$fieldvalues .= ($fieldvalues=="(")?"'$v'":",'$v'";
				}
				$sqltext = "insert into mstexhibitorpage ".$fieldnames.") values ".$fieldvalues.")";
				//echo $sqltext;
				$applications = $this->obj1->insert_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
		function editexhibitors($applicationdata,$wherecondition)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnamesvalues =  "set ";
				
				foreach ($applicationdata as $k => $v) 
				{
					$fieldnamesvalues .=  ($fieldnamesvalues =="set ")?"$k='$v'":",$k='$v'";
				}
				$sqltext = "update mstexhibitorpage ".$fieldnamesvalues." where ".$wherecondition ;
				//echo $sqltext;
				$applications = $this->obj1->update_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
		function deleteexhibitors($exhibitorpageid)
		{
			if($photoid)
			{
				$sqltext = "delete from mstexhibitorpage where exhibitorpageid='".$exhibitorpageid."'";
				$staffs = $this->obj1->delete_query($sqltext);
				return ($staffs == 1)?"true":"false";
			}
		}
		
	}
?>